#pragma once

using namespace DuiLib;

class UILIB_API CUCButton : public CButtonUI
{
public:
	CUCButton(void);
	~CUCButton(void);

	int SetLeftNormalImage(LPCTSTR lpszImage);
	int SetCenterNormalImage(LPCTSTR lpszImage);
	int SetRightNormalImage(LPCTSTR lpszImage);

protected:
	void DrawImage(HDC hDC,const RECT& rcPaint);
	void DrawText(HDC hDC,const RECT& rcPaint);
	LPCTSTR GetClass() const;
	void SetAttribute(LPCTSTR pstrName, LPCTSTR pstrValue);
	void DoPaint(HDC hDC, const RECT& rcPaint);


protected:
	TCHAR	m_szClsName[24];

private:
	CDuiString m_sLeftNormalImage;
	CDuiString m_sCenterNormalImage;
	CDuiString m_sRightNormalImage;

};
